public class DBtoOWL {

	/** ***************************************************************************************************** */
	public static void main(String[] args) throws Exception {
		try {
			
			Config cfg;
			String schemaFile;
			String dataFile;
			Database db;
			ExportDBtoOWL exportDb;
			ExportDatatoOWL exportData;
			
			System.out.println("Export Database schema and data to OWL Full documents.");
			switch (args.length) {
				case 0 :					
					cfg = new Config("connection.properties");
					System.out.println("[+] connection file : connection.properties");
					schemaFile = cfg.getProperty("schemaFile");
					System.out.println("[+] schema file : "+schemaFile);
					dataFile = cfg.getProperty("dataFile");
					System.out.println("[+] data file : "+dataFile);
					db = new Database();
					exportDb = new ExportDBtoOWL(db,schemaFile);	
					exportData = new ExportDatatoOWL(db,dataFile,schemaFile);
					db.Close();
					break;
				case 1 :
					cfg = new Config(args[0]);
					System.out.println("[+] connection file : "+args[0]);
					schemaFile = cfg.getProperty("schemaFile");
					System.out.println("[+] schema file : "+schemaFile);
					dataFile = cfg.getProperty("dataFile");
					System.out.println("[+] data file : "+schemaFile);
					db = new Database();
					exportDb = new ExportDBtoOWL(db,schemaFile);	
					exportData = new ExportDatatoOWL(db,dataFile,schemaFile);
					db.Close();
					break;
				default :
					System.out.println("--- Usage :" );
					System.out.println("[1] java DBtoOWL : read the configuration in connection.properties ");
					System.out.println("[2] java DBtoOWL <config.file> : read the configuration in <config.file> ");
					break;
			}		
											
		} catch (Exception e) {
			System.out.println("Error during export");
			e.printStackTrace();
		}
	}
	/** ***************************************************************************************************** */
}
