import java.sql.*;

/**
 * DatabaseAnswer class is - a resulset - a statement
 *  
 */
public class DatabaseAnswer {

    ResultSet m_Result;

    Statement m_Statement;

    /**
     * Default constructor, create a DatabaseAnswer composed of a Statement and
     * a Resultset
     * 
     * @param st
     *            a statement
     * @param rs
     *            a resultset
     */
    public DatabaseAnswer(Statement st, ResultSet rs) {
        m_Statement = st;
        m_Result = rs;
    }

    /**
     * Close a DatabaseAnswer
     */
    public void close() {
        try {
            m_Result.close();
            m_Statement.close();
        } catch (Exception e) {
            System.err.println("[-]DatabaseAnswer:close() - error !");
        }
    }

    /**
     * return the ResultSet of this DatabaseAnswer
     * 
     * @return ResultSet
     */
    public ResultSet getResult() {
        return (m_Result);
    }

    /**
     * return the Statement of this DatabaseAnswer
     * 
     * @return Statement
     */
    public Statement getStatement() {
        return (m_Statement);
    }

}